package com.kingdee.eas.custom.notify;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class SendContextCollection extends AbstractObjectCollection 
{
    public SendContextCollection()
    {
        super(SendContextInfo.class);
    }
    public boolean add(SendContextInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(SendContextCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(SendContextInfo item)
    {
        return removeObject(item);
    }
    public SendContextInfo get(int index)
    {
        return(SendContextInfo)getObject(index);
    }
    public SendContextInfo get(Object key)
    {
        return(SendContextInfo)getObject(key);
    }
    public void set(int index, SendContextInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(SendContextInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(SendContextInfo item)
    {
        return super.indexOf(item);
    }
}